<!DOCTYPE html>
<html lang="en">
<head th:replace="fragments/layout.html :: head('Spotiplon')">    
</head>
<body>
    <table class="table">
        <thead>
          <tr>
            <th scope="col">Cover</th>
            <th scope="col">Name</th>
            <th scope="col">Released</th>
            <th scope="col">Artist</th>
          </tr>
        </thead>
        <tbody>
            <tr th:each="album : ${albums}">
                <td><img th:src="${album.cover}" th:alt="${album.name}" width="100"></td>
                <td><a th:href="@{/album/}+${album.id}" th:text="${album.name}"></a></td>
                <td th:text="${album.released}"></td>
                <td th:if="${album.artist}"><a th:href="@{/artist/}+${album.artist.id}" th:text="${album.artist.name}"></a></td>
                <td th:unless="${album.artist}">No Artist</td>
            </tr>
            
        </tbody>
      </table>

    <div th:replace="fragments/layout.html :: foot"></div>
</body>
</html>
